@import url(code.css);

#content.ticket {
 width: 58em;
 max-width: 100%;
 margin-left: auto;
 margin-right: auto;
}

#field-description-help { float: right }

#content.ticket .trac-topnav {
 float: none;
 text-align: right;
 margin-top: 0;
}

/* "Yellow Ticket Box" */
#ticket {
 background: #ffd;
 border: 1px solid #dd9;
 border-radius: .4em;
 margin-top: .2em;
 padding: .5em 1em;
 position: relative;
}

/* YTB in preview mode */
#ticket.ticketdraft {
 background: #f8f8f8 url(../draft.png);
}
#ticketchange.ticketdraft {
 padding: 0 1em;
 margin: 1em 0;
}
#ticketchange.ticketdraft h3 {
 margin-top: .5em;
}
.preview-notice { font-weight: bold; }

.ticketdraft {
 background: #f8f8f8 url(../draft.png);
 border: 1px solid #d7d7d7;
 border-radius: .4em;
 padding: 0 .2em;
}

#trac-ticket-title {
 margin-top: .4em;
 margin-right: 0;
 clear: right;
}

#ticket > h2 {
 color: #844;
 margin: .3em 0 .4em 0;
}
#ticket > h2 .trac-id {
 font-size: 145%;
 vertical-align: middle;
 margin: 0 .4em 0 0;
}
#ticket > h2 .trac-status {
 vertical-align: middle;
}
#ticket > h2 .trac-type {
 color: #955;
 vertical-align: middle;
}
#ticket > h2 .trac-resolution {
 vertical-align: middle;
}

#ticket .date {
 color: #996;
 float: right;
 font-size: 85%;
 position: relative;
 top: -.2em;
}
#ticket .date p { margin: .3em }

#ticket table.properties {
 clear: both;
 border-top: 1px solid #dd9;
 border-collapse: collapse;
 table-layout: fixed;
 width: 100%;
}
#ticket table.properties > tbody > tr { border-bottom: 1px dotted #eed }
#ticket table.properties > tbody > tr > td,
#ticket table.properties > tbody > tr > th {
 font-size: 80%;
 padding: .5em 1em;
 vertical-align: top;
}
#ticket table.properties > tbody > tr > th {
 color: #663;
 font-weight: normal;
 text-align: left;
 width: 20%;
}
#ticket table.properties > tbody > tr > th.missing { color: #d3d398; }
#ticket table.properties > tbody > tr > td { width: 30% }
#ticket table.properties > tbody > tr > td p:first-child { margin-top: 0 }
#ticket table.properties > tbody > tr > td p:last-child { margin-bottom: 0 }
#ticket div.description h3 {
 border-bottom: 1px solid #dd9;
 color: #663;
 font-size: 100%;
 font-weight: normal;
}
#ticket div.description h3 .lastmod {
 font-size: 90%;
}
#ticket .inlinebuttons {
 float: right;
 position: relative;
 bottom: 0.3em;
}

/* Change History */
#changelog {
 padding: 1em;
}
.trac-shade { background-color: #eee }
#trac-threaded-form { float: right }

/* Threaded comments */
ul.children {
 margin-top: 1.5em;
 padding-left: 2em;
}
ul.children, ul.children ul.children { list-style-image: url(../inreply.png) }
ul.children ul, ul.children ol { list-style-image: none }
ul.children > li.child {
 padding-left: .5em;
 margin-bottom: 1.5em;
 border-left: 1px solid #bbb;
 border-radius: 1em;
}

/* Comment contents */
#changelog h3, #ticketchange h3 {
 border-bottom: 1px solid #d7d7d7;
 box-shadow: .1em .4em .7em 0 #f2f2f2;
 padding: 0 .2em;
 margin-bottom: .5em;
 color: #999;
 font-size: 100%;
 font-weight: normal;
}
@media print {
 #changelog h3, #ticketchange h3 { box-shadow: none }
}

/* Comment editor */
#trac-comment-editor { margin-left: 2em; margin-bottom: 1em }
#trac-comment-editor textarea { background: #ffffe0; }
.trac-new { border-left: 0.31em solid #c0f0c0; padding-left: 0.31em; }

.trac-loading {
  background: url(../loading.gif) 0 50% no-repeat;
  margin: 0 1em;
  padding-left: 16px;
  display: none;
}
.threading, #changelog .inlinebuttons {
 float: right;
}
.threading { font-size: 85%; }
.threading :link, .threading :visited { border-bottom: 0 }
#changelog .trac-lastedit {
 padding-left: 2.5em;
 margin-top: .8em;
 color: #999;
 font-size: 80%;
}
#changelog .trac-lastedit :link, #changelog .trac-lastedit :visited { color: inherit }

#changelog .changes, #ticketchange .changes { list-style: square; margin-left: 2em; padding: 0 }
.trac-conflict { border-left: .3em solid #e44; padding-left: .3em; }
#changelog .comment, #ticketchange .comment { margin-left: 2em }
button.trac-revert, button.trac-revert:hover {
 margin: 0;
 padding: 0;
 border: none;
 border-bottom: 1px dotted #bbb;
 overflow: visible;
 cursor: pointer;
 background: none;
 color: #b00;
 text-decoration: none;
 -moz-user-select: text;
}
button.trac-revert:hover { background-color: #eee; color: #555; }
button.trac-revert div { display: none; }

form .field { margin-top: .75em; width: 100% }
form .field fieldset { margin-left: 1px; margin-right: 1px }
label[for=comment] { float: right }

#propertyform { margin-bottom: 2em; }
#properties { white-space: nowrap; line-height: 160%; padding: .5em }
#properties table {
 border-spacing: 0;
 padding: 0 .5em;
 table-layout: fixed;
 width: 100%;
}
#properties table th,
#properties table col.th {
 padding: .4em;
 text-align: right;
 vertical-align: top;
 white-space: normal;
 width: 17%;
}
#properties table th.col2 { border-left: 1px dotted #d7d7d7 }
#properties table td,
#properties table col.td {
 padding-right: 0.6em;
 vertical-align: middle;
 width: 33%
}
#properties table td.fullrow { width: 83% }
#properties table td input[type="text"] {
 -moz-box-sizing: border-box;
 box-sizing: border-box;
 width: 100%;
}
#properties table td.col1 label,
#properties table td.col2 label { float: left; margin-right: 0.5em; }
#properties table td select { max-width: 100% }
#properties table td span.hint { padding-left: 0 }

#action { line-height: 2em }

fieldset.radio { border: none; margin: 0; padding: 0 }
fieldset.radio legend {
 color: #000;
 float: left;
 font-size: 100%;
 font-weight: normal;
 padding: 0 1em 0 0;
}
fieldset.radio label { padding-right: 1em }

#content.ticket .trac-nav a { margin-left: 1em; }
